import {FC} from "react";
import {Image, View} from "@tarojs/components";
import emptyImg from '@/static/img/empty.png'
import styles from './empty.module.scss'

interface Props {
  name: string
}

const Empty: FC<Props> = ({name}) => {
  return (
    <View className={styles.empty}>
      <Image src={emptyImg} mode='widthFix' className={styles.image} fadeIn lazyLoad/>
      <View className={styles.name}>{name}</View>
    </View>
  )
}

export default Empty
