import {Profile} from "@/store";
import {Image, Text, View} from "@tarojs/components";
import styles from "@/pages/my/my.module.scss";
import avatar from "@/static/img/avatar.png"
import blacktriang from "@/static/img/blacktriangle.png"
import {FC} from "react";
import Img from "@/components/image/image";

interface Props {
  companyList: Company[]
  showCompany: () => void
}

const Header: FC<Props> = ({companyList, showCompany}) => {
  const {token, user, company, empty} = Profile.useContainer()

  return (
    <View className={styles.header}>
      <View className='flex'>
        <Img width={100} height={100} src={user?.avatar || avatar} className={styles.avatar} errorType='avatar'/>
        {
          token ? <View className='flex-1 mt-1'>
              <View className='font-32'>{user?.name}</View>
              <View className='flex align-center mt-2' onClick={showCompany}>
                <Text style={{fontSize: '24rpx', fontWeight: '500', color: '#323635'}}>{company?.name}</Text>
                {companyList.length > 2 && <Image src={blacktriang} style={{width: '20rpx', height: '20rpx'}}/>}
              </View>
            </View>
            : <View className='flex-1'>
              <View className='font-32 mt-2' onClick={() => empty()}>请登录</View>
            </View>
        }
      </View>
    </View>
  )
}

export default Header
